# frozen_string_literal: true

# Karafka should be able to easily consume all the messages from earliest (default) exactly
# the same way with pro as it does without

setup_karafka do |config|
  config.license.token = pro_license_token
end

class Consumer < Karafka::Pro::BaseConsumer
  def consume
    messages.each do |message|
      DataCollector[message.metadata.partition] << message.raw_payload
    end
  end
end

draw_routes(Consumer)

elements = Array.new(100) { SecureRandom.uuid }
elements.each { |data| produce(DataCollector.topic, data) }

start_karafka_and_wait_until do
  DataCollector[0].size >= 100
end

assert_equal elements, DataCollector[0]
assert_equal 1, DataCollector.data.size
